Page MenuHomePhabricator

Convert Maniphest merge operations to modern Relationship code
ClosedPublic

Authored by epriestley on Jun 29 2016, 7:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jun 25, 12:29 PM
Unknown Object (File)
Sun, Jun 12, 10:27 AM
Unknown Object (File)
Sat, Jun 11, 1:44 PM
Unknown Object (File)
Tue, Jun 7, 11:08 PM
Unknown Object (File)
Jun 4 2022, 11:23 PM
Unknown Object (File)
Apr 12 2017, 5:54 AM
Unknown Object (File)
Apr 10 2017, 9:08 PM
Unknown Object (File)
Apr 7 2017, 4:03 AM
Subscribers
None

Details

Summary

Ref T4788. Fixes T7820. This updates the "Merge Duplicates In" interaction, and adds a "Close as Duplicate" action.

These are the last interactions that were using the old code, so it removes that code.

Merges are now recorded as real edges, so we can show them in the UI later on (originally from T9390, etc).

Also provides more general support for relationships which need EDIT permission, not-undoable relationships like merges, preventing relating an object to itself, and relationship side effects like merges.

Finally, fixes a couple of behaviors around typing an exact object name (like T123) to find the related object.

Test Plan
  • Merged tasks into the current task.
  • Closed the current task as a duplicate of another task.
  • Edited other relationships.
  • Searched for tasks, commits, etc., by object monogram.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Convert Maniphest merge operations to modern Relationship code.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Jun 30 2016, 2:45 AM
This revision was automatically updated to reflect the committed changes.